<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>hook-webp-image test</title>

    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>

    <link rel="import" href="../hook-webp-image.html">
  </head>
  <body>

    <test-fixture id="BasicTestFixture">
      <template>
        <hook-webp-image></hook-webp-image>
      </template>
    </test-fixture>

    <test-fixture id="ChangedPropertyTestFixture">
      <template>
        <hook-webp-image prop1="new-prop1"></hook-webp-image>
      </template>
    </test-fixture>

    <script>
      suite('hook-webp-image', () => {

        test('instantiating the element with default properties works', () => {
          const element = fixture('BasicTestFixture');
          assert.equal(element.prop1, 'hook-webp-image');
          const elementShadowRoot = element.shadowRoot;
          const elementHeader = elementShadowRoot.querySelector('h2');
          assert.equal(elementHeader.innerHTML, 'Hello hook-webp-image!');
        });

        test('setting a property on the element works', () => {
          // Create a test fixture
          const element = fixture('ChangedPropertyTestFixture');
          assert.equal(element.prop1, 'new-prop1');
          const elementShadowRoot = element.shadowRoot;
          const elementHeader = elementShadowRoot.querySelector('h2');
          assert.equal(elementHeader.innerHTML, 'Hello new-prop1!');
        });

      });
    </script>

  </body>
</html>
